package com.ruoyi.common.core.domain.entity;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class RlUserVO extends RlUser{

    /** 累计提现金额 */
    private BigDecimal totalWithdrawAmount = new BigDecimal("0.00");

    /** 余额 */
    private String balance;

    /** 店铺名称 */
    private String storeName;

    /** 城市名称 */
    private String cityName;

    /** 扩展id */
    private Long extId;

    /** 分红比例：百分比 */
    private BigDecimal dividendProportion;

    /** 合作时间 */
    private Date cooperationTime;

    /** 分账状态：0-禁用；1-启动 */
    private Boolean dividendStatus;
}
