package com.ruoyi.common.enums;

/**
 * 业务操作类型
 *
 * @author ruoyi
 */
public enum BusinessType
{
    /**
     * 其它
     */
    OTHER,

    /**
     * 新增
     */
    INSERT,

    /**
     * 修改
     */
    UPDATE,

    /**
     * 删除
     */
    DELETE,

    /**
     * 授权
     */
    GRANT,

    /**
     * 导出
     */
    EXPORT,

    /**
     * 导入
     */
    IMPORT,

    /**
     * 强退
     */
    FORCE,

    /**
     * 生成代码
     */
    GENCODE,

    /**
     * 清空数据
     */
    CLEAN,
    /**
     * 实名认证
     */
    AUTHENTICATION,
    /**
     * 下单
     */
    CREATEORDER,
    /**
     * 确认支付
     */
    CONFIRMPAY,
    /**
     * 扫码绑定车辆
     */
    BANDDEVICE,
    /**
     * 临时锁车
     */
    LOCK,
    /**
     * 临时解锁
     */
    UNLOCK,
    /**
     * 续租
     */
    RELET,
    /**
     * 还车
     */
    RETURN_VEHICLE,

    /**
     * 订单取消
     */
    ORDERCANCEL,

    /**
     * 开锁
     */
    UNLOCKING,

    /**
     * 车损扣款
     */
    DEDUCTMONEY,

    /**
     * 押金退款
     */
    DEPOSITREFUND,

    /**
     * 改价
     */
    EDITPRICE,

    /**
     * 退款
     */
    REFUND,

    /**
     * 车辆上线
     */
    ONLINE,

    /**
     * 车辆下线
     */
    OFFLINE,
    /**
     * 提现
     */
    WITHDRAW,
    /**
     * 管理员提现
     */
    ADMINWITHDRAW,
    /**
     * 保存店铺
     */
    SAVESTORE
    }
