package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 功能对象 rl_function
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
public class RlFunction extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 功能id */
    private Long functionId;

    /** 车型id */
    @Excel(name = "车型id")
    private Long modelId;

    /** 功能 */
    @Excel(name = "功能")
    private String function;

    public void setFunctionId(Long functionId) 
    {
        this.functionId = functionId;
    }

    public Long getFunctionId() 
    {
        return functionId;
    }
    public void setModelId(Long modelId) 
    {
        this.modelId = modelId;
    }

    public Long getModelId() 
    {
        return modelId;
    }
    public void setFunction(String function) 
    {
        this.function = function;
    }

    public String getFunction() 
    {
        return function;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("functionId", getFunctionId())
            .append("modelId", getModelId())
            .append("function", getFunction())
            .toString();
    }
}
