package com.ruoyi.system.domain.agent;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 代理商对象 rl_agent
 *
 * @author qzz
 * @date 2024-09-18
 */
@Data
public class RlAgent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long agentId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 客服电话 */
    @Excel(name = "客服电话")
    private String servicePhone;

    /** 调度费 */
    @Excel(name = "调度费")
    private BigDecimal dispatchFee;

    /** 配送费 */
    @Excel(name = "配送费")
    private BigDecimal deliveryFee;

    /** 城市id */
    @Excel(name = "城市id")
    private Long cityId;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contact;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userid;

    /** 支付渠道 */
    public Long payChannel;

    @Excel(name = "是否免费送取车")
    private Boolean isFreeCar;

}
