package com.ruoyi.system.domain.city;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 城市对象 rl_city
 *
 * @author ruoyi
 * @date 2024-09-18
 */
@Data
public class RlCity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 城市id */
    private Long cityId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 拼音 */
    @Excel(name = "拼音")
    private String pinyin;

    /** 地址编码 */
    @Excel(name = "地址编码")
    private String adcode;

    /** 城市编码 */
    @Excel(name = "城市编码")
    private String citycode;

    /** 是否开通 */
    private Boolean isOpen;

}
