package com.ruoyi.system.domain.deliveryOrder;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 配送工单对象 rl_delivery_order
 *
 * @author qzz
 * @date 2024-10-10
 */
@Data
public class RlDeliveryOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 配送工单id */
    private Long deliveryId;

    /** 关联的订单号 */
    @Excel(name = "关联的订单号")
    private String orderNo;

    /** 代理商 */
    @Excel(name = "代理商")
    private Long agentId;

    /** 配送员 */
    @Excel(name = "配送员")
    private Long deliverymanId;

    /** 配送员类型 */
    @Excel(name = "配送员类型")
    private String deliverymanType;

    /** 配送员名称 */
    @Excel(name = "配送员名称")
    private String deliveryman;

    /** 配送员电话 */
    @Excel(name = "配送员电话")
    private String deliverymanPhone;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 店铺id */
    private Long storeId;

    /** 店铺名称 */
    private String storeName;

    /** 配送地址 */
    private String deliveryAddress;

    /** 配送经度 */
    private String deliveryLon;

    /** 配送纬度 */
    private String deliveryLat;

    /** 送达时间 */
    private Date deliveryTime;


}
