package com.ruoyi.system.domain.deliveryOrder;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class RlDeliveryOrderVO extends RlDeliveryOrder{
    /** 店铺定位经度 */
    private BigDecimal lng;

    /** 店铺定位纬度 */
    private BigDecimal lat;

    /** 店铺地址 */
    private String address;

    /** 用户电话 */
    private String phone;

    /** 用户姓名 */
    private String realName;

    /** 车型 */
    private String model;

    /** 代理商 */
    private String agentName;
}
