package com.ruoyi.system.domain.deliveryOrderOper;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 配送单履历对象 rl_delivery_order_oper
 *
 * @author qzz
 * @date 2024-10-10
 */
@Data
public class RlDeliveryOrderOper extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 操作id */
    private Long operId;

    /** 配送工单id */
    @Excel(name = "配送工单id")
    private Long deliveryId;

    /** 配送类型 */
    @Excel(name = "配送类型")
    private String type;

    /** 操作人 */
    @Excel(name = "操作人")
    private Long operUserid;

    /** 操作人电话 */
    @Excel(name = "操作人电话")
    private String operPhone;

    /** 操作人名称 */
    @Excel(name = "操作人名称")
    private String operName;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date operTime;

}
