package com.ruoyi.system.domain.order;

import lombok.Data;

@Data
public class RlOrderQuery extends RlOrder{

    /** 开始时间*/
    private String startTime;

    /** 结束时间*/
    private String endTime;

    /** 手机号*/
    private String phone;

    /** 店铺id  (还车店铺)*/
    private Long returnStoreId;

    /** jscode*/
    private String jscode;

    /** 状态列表 */
    private String[] statusList;

    /** 类型 1-租赁订单，2-续租订单*/
    private String type;

    /** 关键字: 手机号或订单号 */
    private String keywords;

}
