package com.ruoyi.system.domain.orderOper;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 操作操作履历对象 rl_order_oper
 *
 * @author qzz
 * @date 2024-10-10
 */
@Data
public class RlOrderOper extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 操作id */
    private Long operId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 操作类型 */
    @Excel(name = "操作类型")
    private String operType;

    /** 详情 */
    @Excel(name = "详情")
    private String details;

    /** 变动前金额 */
    @Excel(name = "变动前金额")
    private String beforeAmount;

    /** 变动后金额 */
    @Excel(name = "变动后金额")
    private String afterAmount;

    /** 变动前状态 */
    @Excel(name = "变动前状态")
    private String beforeStatus;

    /** 变动后状态 */
    @Excel(name = "变动后状态")
    private String afterStatus;

    /** 操作人 */
    @Excel(name = "操作人")
    private Long operUserId;

    /** 手机号 */
    @Excel(name = "手机号")
    private String operPhone;

}
