package com.ruoyi.system.domain.vo;

import com.ruoyi.common.core.domain.entity.RlUser;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class RlUserQuery extends RlUser {

    private String[] typeList;

    private Long agentId;

    /** 城市id */
    private Long cityId;

    /** 分红比例：百分比 */
    private BigDecimal dividendProportion;

    /** 合作时间 */
    private Date cooperationTime;

    /** 分账状态 */
    private Boolean dividendStatus;

    /** 服务费收取类型 */
    private String handlingChargeType;

    /** 服务费 */
    private BigDecimal withdrawHandlingCharge;
}
