package com.ruoyi.system.service;

import com.ruoyi.system.domain.vo.AttachVo;

import javax.servlet.http.HttpServletRequest;

/**
 * 订单支付回调 service

 */
public interface CallbackService {
    /**
     * 微信支付回调
     * @param request 微信回调json
     * @return String
     */
    void weChat(HttpServletRequest request);

    /**
     * 支付成功后的业务处理
     * @param outTradeNo
     * @return String
     */
    public void businessHandle(String outTradeNo,String payType);

    /**
     * 微信退款回调
     * @param request 微信回调json
     * @return String
     */
    void weChatRefund(HttpServletRequest request);


}
