package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 回调日志对象 rl_callback_log
 *
 * @author 邱贞招
 * @date 2024-06-18
 */
@Data
public class EtCallbackLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 未解析的body */
    @Excel(name = "未解析的body")
    private String body2;

    /** 解析后 */
    @Excel(name = "解析后")
    private String body;

    /** 类型：1-支付回调；2-退款回调 */
    @Excel(name = "类型：1-支付回调；2-退款回调")
    private String type;

}
