package com.ruoyi.system.domain.accessory;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 配件对象 rl_accessory
 *
 * @author qzz
 * @date 2024-09-19
 */
@Data
public class RlAccessory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long accessoryId;

    /** 配件名称 */
    @Excel(name = "配件名称")
    private String name;

    /** 状态： */
    @Excel(name = "状态：")
    private Integer status;

}
