package com.ruoyi.system.domain.device;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.system.domain.RlFunction;
import com.ruoyi.system.domain.accessory.RlAccessoryVO;
import lombok.Data;

import java.util.List;

@Data
public class RlDeviceVO extends RlDevice{

    /** 型号 */
    @Excel(name = "型号")
    private String model;

    /** 剩余里程  */
    @Excel(name = "剩余里程")
    private Integer remainingMileage;

    /** 硬件版本 */
    @Excel(name = "硬件版本")
    private String hardwareVersion;

    /** 二维码文本 */
    @Excel(name = "二维码文本")
    private String qrText;

    @Excel(name = "店铺名称")
    private String storeName;

    @Excel(name = "配件列表")
    private List<RlAccessoryVO> accessorys;

    @Excel(name = "功能列表")
    private List<RlFunction> functionList;

    @Excel(name = "店铺地址")
    private String storeLocation;

}
