package com.ruoyi.system.domain.model;

import com.ruoyi.system.domain.RlFunction;
import com.ruoyi.system.domain.accessory.RlAccessoryVO;
import com.ruoyi.system.domain.rule.RlFeeRule;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class RlModelVO extends RlModel{

    /** 配件 */
    private List<RlAccessoryVO> accessorys;

    /** 价格 */
    private BigDecimal price;

    /** 单位 */
    private String rentalUnit;

    @ApiModelProperty("可租车辆")
    private Integer rentalCar;

    @ApiModelProperty("功能列表")
    private List<RlFunction> functionList;

    /** 代理商名称 */
    private String agnetName;

    @ApiModelProperty("收费模版")
    private List<Long> feeRulesIds;

    @ApiModelProperty("配件列表")
    private List<Long> accessorysIds;
}
