package com.ruoyi.system.domain.rule;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 收费模板对象 rl_fee_rule
 *
 * @author qzz
 * @date 2024-09-19
 */
@Data
public class RlFeeRule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long ruleId;

    /** 租赁单位 */
    @Excel(name = "租赁单位")
    private String rentalUnit;

    /** 售价 */
    @Excel(name = "售价")
    private BigDecimal price;

    /** 说明 */
    @Excel(name = "说明")
    private String explain;

    /** 骑行价格说明 */
    @Excel(name = "骑行价格说明")
    private String instructions;

    /** 超出单位 */
    @Excel(name = "超出单位")
    private String outUnit;

    /** 超出价格 */
    @Excel(name = "超出价格")
    private BigDecimal outPrice;

    /** 是否删除：1-删除 */
    @Excel(name = "是否删除：1-删除")
    private Integer isDeleted;
//
//    /** 车型id */
//    private Long modelId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;
}
